/*
 * Copyright (c) 2001-2002 The Trustees of Indiana University.  
 *                         All rights reserved.
 * Copyright (c) 1998-2001 University of Notre Dame. 
 *                         All rights reserved.
 * Copyright (c) 1994-1998 The Ohio State University.  
 *                         All rights reserved.
 * 
 * This file is part of the XLED software package.  For license
 * information, see the LICENSE file in the top level directory of the
 * XLED source distribution.
 *
 * $Id: lamled_f.c,v 1.2 2002/12/11 19:06:38 brbarret Exp $
 * 
 *	Function:	- F77 wrappers for libled.a
 */

#include <ledreq.h>
#include <terror.h>

#if RS6K || HPUX
#define lamf_ledinit_		lamf_ledinit
#define lamf_ledclr_		lamf_ledclr
#define lamf_ledon_		lamf_ledon
#define lamf_ledoff_		lamf_ledoff
#define lamf_ledisset_		lamf_ledisset
#define lamf_ledgetnum_		lamf_ledgetnum

#define lamf_rledinit_		lamf_rledinit
#define lamf_rledclr_		lamf_rledclr
#define lamf_rledon_		lamf_rledon
#define lamf_rledoff_		lamf_rledoff
#define lamf_rledisset_		lamf_rledisset
#define lamf_rledgetnum_	lamf_rledgetnum
#endif

void lamf_ledinit_(p, np, ierr) int *p, *np, *ierr;
	{ *ierr = lam_ledinit(*p, *np) ? errno : 0; }

void lamf_rledinit_(n, p, np, ierr) int *n, *p, *np, *ierr;
	{ *ierr = lam_rledinit(*n, *p, *np) ? errno : 0; }

void lamf_ledclr_(ierr) int *ierr;
	{ *ierr = lam_ledclr() ? errno : 0; }

void lamf_rledclr_(n, ierr) int *n, *ierr;
	{ *ierr = lam_rledclr(*n) ? errno : 0; }

void lamf_ledoff_(l, ierr) int *l, *ierr;
	{ *ierr = lam_ledoff(*l) ? errno : 0; }

void lamf_rledoff_(n, l, ierr) int *n, *l, *ierr;
	{ *ierr = lam_rledoff(*n, *l) ? errno : 0; }

void lamf_ledon_(l, ierr) int *l, *ierr;
	{ *ierr = lam_ledon(*l) ? errno : 0; }

void lamf_rledon_(n, l, ierr) int *n, *l, *ierr;
	{ *ierr = lam_rledon(*n, *l) ? errno : 0; }

void lamf_ledisset_(l, f, ierr) int *l, *f, *ierr;
	{ *f = lam_ledisset(*l); *ierr = (*f < 0) ? errno : 0; }

void lamf_rledisset_(n, l, f, ierr) int *n, *l, *f, *ierr;
	{ *f = lam_rledisset(*n, *l); *ierr = (*f < 0) ? errno : 0; }

void lamf_ledgetnum_(n, ierr) int *n, *ierr;
	{ *n = lam_ledgetnum(); *ierr = (*n < 0) ? errno : 0; }

void lamf_rledgetnum_(n, num, ierr) int *n, *num, *ierr;
	{ *num = lam_rledgetnum(*n); *ierr = (*num < 0) ? errno : 0; }
