/*
 * Copyright (c) 2001-2002 The Trustees of Indiana University.  
 *                         All rights reserved.
 * Copyright (c) 1998-2001 University of Notre Dame. 
 *                         All rights reserved.
 * Copyright (c) 1994-1998 The Ohio State University.  
 *                         All rights reserved.
 * 
 * This file is part of the XLED software package.  For license
 * information, see the LICENSE file in the top level directory of the
 * XLED source distribution.
 *
 * $Id: rledop.c,v 1.2 2002/12/11 19:06:38 brbarret Exp $
 * 
 *	Function:	- send 1-way LED operation to remote ledd
 *	Accepts:	- destination node
 *			- request code
 *			- process index
 *			- # processes
 *			- LED mask
 *	Returns:	- 0 or ERROR
 */

#include <events.h>
#include <net.h>
#include <portable.h>
#include <ledreq.h>

int
lam_rledop(nodeid, reqcode, proc, nproc, mask)

int4			nodeid;
int4			reqcode;
int4			proc;
int4			nproc;
int4			mask;

{
	struct nmsg	nhead;		/* message header */
	struct lereq	*request;	/* ptr LED request */
/*
 * Set up the request message.
 */
 	request = (struct lereq *) nhead.nh_data;
	request->leq_req = reqcode;
	request->leq_src_node = (nodeid == LOCAL) ? nodeid : getnodeid();
	request->leq_src_event = -getpid();
	request->leq_proc = proc;
	request->leq_nprocs = nproc;
	request->leq_mask = mask;

	nhead.nh_node = nodeid;
	nhead.nh_event = EVLEDD;
	nhead.nh_type = 0;
	nhead.nh_flags = 0;
	nhead.nh_length = 0;
	nhead.nh_msg = 0;

	return(nsend(&nhead));
}
