/*
 * Copyright (c) 2001-2002 The Trustees of Indiana University.  
 *                         All rights reserved.
 * Copyright (c) 1998-2001 University of Notre Dame. 
 *                         All rights reserved.
 * Copyright (c) 1994-1998 The Ohio State University.  
 *                         All rights reserved.
 * 
 * This file is part of the XLED software package.  For license
 * information, see the LICENSE file in the top level directory of the
 * XLED source distribution.
 *
 * $Id: xled.h,v 1.2 2002/12/11 19:06:38 brbarret Exp $
 * 
 *	Function:	- templates and constants used by XLED
 */

#ifndef _XLED
#define _XLED

#include <X11/Intrinsic.h>
#include <ledreq.h>

/*
 * application resources
 */
#define XtNrankFont		"rankFont"
#define XtCRankFont		"RankFont"
#define XtNled0Colour		"led0Colour"
#define XtCLed0Colour		"Led0Colour"
#define XtNled1Colour		"led1Colour"
#define XtCLed1Colour		"Led1Colour"
#define XtNled2Colour		"led2Colour"
#define XtCLed2Colour		"Led2Colour"
#define XtNled3Colour		"led3Colour"
#define XtCLed3Colour		"Led3Colour"
#define XtNled4Colour		"led4Colour"
#define XtCLed4Colour		"Led4Colour"
#define XtNled5Colour		"led5Colour"
#define XtCLed5Colour		"Led5Colour"

/*
 * constants
 */
#define XLED_NPOINTS		3	/* # points per LED */
#define XLED_DEFXNPROCS		4	/* def. # procs horizontally */
#define XLED_DEFYNPROCS		4	/* def. # procs vertically */
#define XLED_PROCRADIUS		50	/* hexagon radius */
#define XLED_XMARGIN		20	/* horizontal margins */
#define XLED_YMARGIN		20	/* vertical margins */
#define XLED_DRAWXEXTRA		4	/* extra drawable width */
#define XLED_DRAWYEXTRA		4	/* extra drawable height */
#define XLED_LINEWIDTH		2	/* drawing line width */
#define XLED_RANKXDISP		-4	/* rank horiz. disp. from center */
#define XLED_RANKYDISP		30	/* rank vert. disp. from center */

#define XLED_LED0COLOUR		"green"
#define XLED_LED1COLOUR		"red"
#define XLED_LED2COLOUR		"red"
#define XLED_LED3COLOUR		"red"
#define XLED_LED4COLOUR		"red"
#define XLED_LED5COLOUR		"red"
#define XLED_RANKFONT	"-*-helvetica-bold-r-normal--*-140-*-*-*-*-*-*"

#define SQRT3			((double) 1.7321)
#define XLED_CLEARANCE		((double) 0.3)

/*
 * structures
 */
typedef struct {
	XFontStruct	*ap_rankfont;	/* process rank font */
	char		*ap_ledcolour[LEMAXNLEDS];
					/* LED colours */
} AppData, *AppDataPtr;

struct xlproc {
	int		xlp_xcenter;	/* center x ordinate */
	int		xlp_ycenter;	/* center y ordinate */
	int		xlp_ledmask;	/* LEDs mask */
};

#endif	/* _XLED */
